搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

I have downloaded Firefox 4 but now can't open it, get the message that it isn't supported on this archtecture

  • 3 回覆
  • 58 有這個問題
  • 12 次檢視
  • 最近回覆由 cor-el

more options

I have downloaded Firefox 4 but now can't open it, get the message that it isn't supported on this architecture. This is the message:

You cannot open the application “Firefox” because it is not supported on this architecture.

被選擇的解決方法

Firefox 4 doesn't run on a PowerPC Mac.

Firefox 4 requires at least OS X 10.5 and an Intel Mac.

For a Firefox 4 compatible version that runs on Mac OS X 10.4.11 or Mac OS X 10.5.8 (PPC) you can look at:

Firefox 3.6.x (Mac OS X 10.4 and later) can be found here:

從原來的回覆中察看解決方案 👍 2

所有回覆 (3)

more options

選擇的解決方法

Firefox 4 doesn't run on a PowerPC Mac.

Firefox 4 requires at least OS X 10.5 and an Intel Mac.

For a Firefox 4 compatible version that runs on Mac OS X 10.4.11 or Mac OS X 10.5.8 (PPC) you can look at:

Firefox 3.6.x (Mac OS X 10.4 and later) can be found here:

more options

Thank you so very much. That was so quick, I have downloaded TenFourFox and it works well. Huzzah!

由 kathals 於 修改

more options

You're welcome